System.ServiceModel 4.0.0.0 System.Xml.XPath.XPathNavigator

The SOAP messages passed between parts of the indigo1 system are handled by various components of the system that must inspect these messages to determine what actions to take in processing them. The XPath engine is a component that queries messages for this purpose and it requires a navigator to read SOAP messages and other XML documents. A navigator provides a cursor that moves from node to node tracking where the XML document is actually being read.

The XPath engine works with a , which extends the class by adding a property. This property allows positions within the XML document to be saved and loaded quickly without having to clone the navigator, an expensive memory allocation that the requires for such an operation. The XPath engine must frequently record the position of the cursor in the course of executing queries on XML documents, so the provides an important optimization for message processing.

Note that the value of the property is implementation-specific and may not map to node position or character position. Its value is only meaningful to the implementation (and instance) that supplied it.

Provides read-only, random access to data contained in XML documents and enables efficient querying for specified nodes.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Xml.XmlNodeOrder `` `` To be added. To be added. To be added.

  When overridden in a derived class, returns a value that describes the document order of the two specified positions.

  One of the values that describes the relation of to in the document.

- Property
  4.0.0.0
  System.Int64 To be added.

  The set operation moves the navigator to the position associated with the value specified. The get operation returns a value associated with the current position of the navigator.

  When overridden in a derived class, gets or sets a value associated with the node in the data where the XPath navigator is positioned.

- Method
  4.0.0.0
  System.String `` To be added. To be added.

  When overridden in a derived class, returns the local name of the node at the position specified.

  The local name of the node at the specified position. is returned if the node does not have a local name, for example if the current position references a text node.

- Method
  4.0.0.0
  System.String `` To be added.

  The name is the name of the XML element at and typically includes a namespace prefix.

  When overridden in a derived class, returns the name of the node at the specified position.

  The name of the node at . is returned if the node does not have a name.

- Method
  4.0.0.0
  System.String `` To be added. To be added.

  When overridden in a derived class, returns the namespace of the node at the specified position.

  The namespace of the node at . is returned if the node does not have a namespace.

- Method
  4.0.0.0
  System.Xml.XPath.XPathNodeType `` To be added. To be added.

  When overridden in a derived class, returns the type of the node at the specified position.

  One of the values that indicate the type of the XML node.

- Method
  4.0.0.0
  System.String `` To be added.

  For elements, this method returns the concatenation of all text descendents of the node at the specified position, similar to the property.

  When overridden in a derived class, returns the text value of the node at the specified position.

  The text value of the node at . is returned if the node does not have a text value.